Bug 86616 - CONTEXT MENU: Rearrangement of image context menu
Summary: CONTEXT MENU: Rearrangement of image context menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha2
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Context-Menu Impress-UX
  Show dependency treegraph
 
Reported: 2014-11-23 10:02 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-13 12:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-23 10:02:07 UTC
As can be seen in attachment 109889 [details], there are 4 image related entries at the bottom of the context menu, 'Crop Image' in the middle, and 'Original Size' closer to the top. It would be good to group these all together and place them in a section underneath the clipboard functions.
Comment 1 A (Andy) 2014-11-23 10:07:10 UTC
For me this sounds reasonable and good.
Comment 2 Cor Nouws 2014-11-23 13:22:22 UTC
(In reply to Jay Philips from comment #0)
> As can be seen in attachment 109889 [details], there are 4 image related
> entries at the bottom of the context menu, '

Those four relate not so much to the appearance of the picture already present in the document, but to changing it.

> 'Crop Image' in the middle, and
> 'Original Size' closer to the top.

Original size relates to Position and Size
'Crop image' below 'Original size' would be OK for me

> It would be good to group these all
> together and place them in a section underneath the clipboard functions.
Comment 3 Yousuf Philips (jay) (retired) 2014-11-23 14:27:39 UTC
(In reply to Cor Nouws from comment #2)
> Those four relate not so much to the appearance of the picture already
> present in the document, but to changing it.

Saving and compressing an image arent changing it. :D

> Original size relates to Position and Size

But not related to Line underneath it. :D

> 'Crop image' below 'Original size' would be OK for me

I see crop image and original size as manipulating the size, change image and edit external tool as modifying the image and save image and compress image as extra functions.
Comment 4 Cor Nouws 2014-11-23 15:14:38 UTC
(In reply to Jay Philips from comment #3)
> (In reply to Cor Nouws from comment #2)
> > Those four relate not so much to the appearance of the picture already
> > present in the document, but to changing it.
> 
> Saving and compressing an image arent changing it. :D

I should have written that those are related to the file/picture, rather then it's representation in the document.
Quite obvious  that it's a different category.
Comment 5 Yousuf Philips (jay) (retired) 2015-06-03 05:19:32 UTC
This was fixed in the commit of bug 86614.

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f11863d43d96c4bcad9ae43ceb25c05d9a94307d